package com.sunyard.ssp.common.constant;

/**
 * @author:tsz
 * @date:2020/5/6
 * @description:
 */
public interface SdkConstant {

    /**
    *@date   : 2020:05:25 14:31
    *@description : 渠道通信key
    */
    String SERVER_CLUSTER = "SERVER_CLUSTER";

    /**
    *@date   : 2020:05:25 14:32
    *@description : 渠道验证
     */
    String CHANNEL_CHECK = "channel.check";
    

    /**
    *@date   :2020/05/25 14:02
    *@description : 渠道更新命令
    */
    String CHANNEL_CMD_UPDATE = "channel.enable.update";

    /**
     *@date   :2020/05/25 14:02
     *@description : 渠道中的密钥方案变动
     */
    String CHANNEL_CMD_SOLUTION_UPDATE = "channel.solution.update";

    String PING = "ping";

    /**
    *@date   : 2020:05:25 15:04
    *@description : 协议变动
    */
    String PROTO_UPDATE = "proto.update";

    /**
     *@date   : 2020:05:25 15:04
     *@description : 加密机组变动
     */
    String HSMGROUP_UPDATE = "hsmgroup.update";

    /**
     *@date   : 2020:05:25 15:04
     *@description : 加密机组变动
     */
    String HSM_UPDATE = "hsm.update";
    
    /**
    *@date   : 2020:06:03 11:01
    *@description : 模板变更
    */
    String KEYTEMPLATE_UPDATE= "keytemplate.update";

    /**
     *@date   : 2020:05:25 15:04
     *@description : 加密机协议校验
     */
    String PROTO_CHECK = "proto.check";

    /**
    *@date   :2020/05/25 14:24
    *@description : 密钥更新命令
    */
    String KEY_CMD_UPDATE = "key.update";

    String IDENTITY_MANAGER = "Manager";

    /**
    *@date   :2020/05/25 14:23
    *@description : sdk通信加密的jks配置文件位置
    */
    String CLIENT_TRUSTSTORE = "config/clientTruststore.jks";

    /**
    *@date   :2020/05/25 14:23
    *@description : sdk通信加密的jks 通知字段
    */
    String CLIENT_KEY = "client";
}
