package com.sunyard.ssp.modules.monitor.log.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author fyc
 * @since 2020-03-31
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("SC_SYS_LOG")
@ApiModel(value="", description="")
public class SysLog implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId("ID")
    private Long id;

    @ApiModelProperty(value = "创建时间")
    @TableField("CREATE_TIME")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "文件名")
    @TableField("FILE_NAME")
    private String fileName;

    @ApiModelProperty(value = "行号")
    @TableField("LINE")
    private String line;

    @ApiModelProperty(value = "线程")
    @TableField("THREAD")
    private String thread;

    @ApiModelProperty(value = "日志级别")
    @TableField("LOG_LEVEL")
    private String logLevel;

    @ApiModelProperty(value = "信息")
    @TableField("MESSAGE")
    private String message;

    @ApiModelProperty(value = "Java类")
    @TableField("CLAZZ")
    private String clazz;

    @ApiModelProperty(value = "类中的方法")
    @TableField("METHOD")
    private String method;

}
