package com.sunyard.ssp.vo;

import com.sunyard.ssp.modules.user.entity.ScRole;
import com.sunyard.ssp.modules.user.entity.ScRoleDepartment;
import com.sunyard.ssp.modules.user.entity.ScRolePermission;
import lombok.Data;

import java.util.List;

/**
 * <p>
 * 
 * </p>
 *
 * @author tsz
 * @since 2020-03-11
 */
@Data
public class ScRoleVo extends ScRole {

    private List<ScRolePermission> permissions;

    private List<ScRoleDepartment> departments;

    public ScRoleVo(ScRole role, List<ScRolePermission> permissions, List<ScRoleDepartment> departments) {
        super(role);
        this.permissions = permissions;
        this.departments = departments;
    }
}
